# -*- coding: utf-8 -*-
from sqlalchemy import MetaData, Table, Column, String, Integer
from dictionaries.versions import views_helper

def getTable(meta):
    return Table('cmevent', meta,
        Column('eventname', String(255), nullable=False, primary_key=True),
        Column('eventdescription', String(255), nullable=True),
        Column('macrocode', Integer, nullable=True),
    )

def upgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    views_helper.create_table(migrate_engine, getTable(meta))

def downgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    views_helper.drop_table(migrate_engine, getTable(meta))
