from sqlalchemy import *
from migrate import *
import migrate.changeset
from dictionaries.versions import views_helper
import re

def getCmactionTables(meta):
    cmaction1 = Table('cmaction1', meta, autoload=True)
    cmaction2 = Table('cmaction2', meta, autoload=True)
    return [cmaction1, cmaction2]

def upgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)
    # Upgrade operations go here. Don't create your own engine; use the engine
    # named 'migrate_engine' imported from migrate.
    for tbl in getCmactionTables(meta):
        logmode = Column('logmode', Integer, nullable=False, server_default='0')
        logmode.create(tbl)

    views_helper.update_dic_view(migrate_engine, 'cmaction')


def downgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)
    # Operations to reverse the above upgrade go here.
    conn = migrate_engine.connect()
    tblname = views_helper.get_table_name(migrate_engine,'cmaction')
    for tbl in getCmactionTables(meta):
        tbl.c.logmode.drop()
    views_helper.update_dic_view(migrate_engine, 'cmaction',tblname)
