from sqlalchemy import *
from migrate import *
import migrate.changeset
from dictionaries.versions import views_helper


def getTables(meta):
    return [Table('defcode1', meta, autoload=True), Table('defcode2', meta, autoload=True)]


def upgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    # Upgrade operations go here. Don't create your own engine; use the engine
    # named 'migrate_engine' imported from migrate.    
    for tbl in getTables(meta):
        if 'defcodeproviderrange' not in [ind.name for ind in tbl.indexes]:
            Index('defcodeproviderrange', tbl.c.providerid, tbl.c.rangemin, tbl.c.rangemax, unique=False).create()

    views_helper.update_dic_view(migrate_engine, 'defcode')


def downgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    # Operations to reverse the above upgrade go here.
    tblname = views_helper.get_table_name(migrate_engine, 'defcode')

    for tbl in getTables(meta):
        if 'defcodeproviderrange' in [ind.name for ind in tbl.indexes]:
            Index('defcodeproviderrange', tbl.c.providerid, tbl.c.rangemin, tbl.c.rangemax, unique=False).drop()

    views_helper.update_dic_view(migrate_engine, 'defcode', tblname)
