from sqlalchemy import *
from migrate import *
from dictionaries.versions import views_helper

def getCatalogAttribute(meta):
    catalogattribute1 = Table('catalogattribute1', meta, autoload=True)
    catalogattribute2 = Table('catalogattribute2', meta, autoload=True)
    return [catalogattribute1, catalogattribute2]

def upgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)
    for tbl in getCatalogAttribute(meta):
        if 'alcoholpercent' in tbl.columns:
            tbl.c.alcoholpercent.alter(nullable = True)
        if not 'age' in tbl.columns:
            age = Column('age', Integer, nullable=True)
            age.create(tbl)            
        if not 'attribute' in tbl.columns:
            attribute = Column('attribute', Integer, nullable=False)
            attribute.create(tbl)
    views_helper.update_dic_view(migrate_engine, 'catalogattribute')

def downgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)
    catalogattribute = views_helper.get_table_name(migrate_engine,'catalogattribute')
    for tbl in getCatalogAttribute(meta):
        if 'alcoholpercent' in tbl.columns:
            tbl.c.alcoholpercent.alter(nullable = False)
        if 'age' in tbl.columns:
            tbl.c.age.drop()
        if 'attribute' in tbl.columns:
            tbl.c.attribute.drop()
    views_helper.update_dic_view(migrate_engine, 'catalogattribute', catalogattribute)
