from sqlalchemy import *
from dictionaries.versions import views_helper

tableName = 'prices'
columnName = 'effectivedateend'
indexName = 'pricesidxeffectivedateend'

def upgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)
    for tbl in views_helper.getTables(meta, tableName):
        if not columnName in tbl.columns:
            Column(columnName, DateTime, nullable = True).create(tbl)
        if indexName not in [ind.name for ind in tbl.indexes]:
            Index(indexName, tbl.c.effectivedateend).create()
    views_helper.update_dic_view(migrate_engine, tableName)

def downgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)
    curTableName = views_helper.get_table_name(migrate_engine, tableName)
    for tbl in views_helper.getTables(meta, tableName):
        if indexName in [ind.name for ind in tbl.indexes]:
            Index(indexName, tbl.c.effectivedateend).drop()
        if columnName in tbl.columns:
            tbl.c[columnName].drop()
    views_helper.update_dic_view(migrate_engine, tableName, curTableName)
