from sqlalchemy import *
from migrate import *
from dictionaries.versions import views_helper

view_name = 'excisemarkwhite'
column_name = 'excisetype'
primary_key_name = 'excisemarkid'

def getTables(meta):
    return views_helper.getTables(meta, "excisemarkwhite")

def upgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    for table in getTables(meta):
        if not column_name in table.columns:
            Column(column_name, String(30), server_default='ALCOHOL', nullable=False).create(table)
            pk = constraint.PrimaryKeyConstraint(primary_key_name, table=table)
            pk.drop()
            table.c.excisetype.alter(primary_key=True)
            pk = constraint.PrimaryKeyConstraint(primary_key_name, column_name, table=table)
            pk.create()
    views_helper.update_dic_view(migrate_engine, view_name)

def downgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    exciseMarkWhiteTableName = views_helper.get_table_name(migrate_engine, view_name)
    for table in getTables(meta):
        if column_name in table.columns:
            pk = constraint.PrimaryKeyConstraint(primary_key_name, column_name, table=table)
            pk.drop()
            table.c.excisetype.alter(primary_key=False)
            pk = constraint.PrimaryKeyConstraint(primary_key_name, table=table)
            pk.create()
            table.c.excisetype.drop()
    views_helper.update_dic_view(migrate_engine, view_name, exciseMarkWhiteTableName)

