# -*- coding: utf-8 -*-
from sqlalchemy import *
from migrate import *
import migrate.changeset

def getDocumentTable(meta):
    return Table('document', meta, autoload=True)

def upgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)
    # Upgrade operations go here. Don't create your own engine; use the engine
    # named 'migrate_engine' imported from migrate.
    linked = Column('linkeddocumentid', Integer, nullable=True)
    linked.create(getDocumentTable(meta))
    cons = migrate.changeset.constraint.ForeignKeyConstraint([getDocumentTable(meta).c.linkeddocumentid], [getDocumentTable(meta).c.documentid], name = 'linkeddocumentidfk')
    cons.create()

def downgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)
    # Operations to reverse the above upgrade go here.
    cons = migrate.changeset.constraint.ForeignKeyConstraint([getDocumentTable(meta).c.linkeddocumentid], [getDocumentTable(meta).c.documentid], name = 'linkeddocumentidfk')
    cons.drop()
    getDocumentTable(meta).c.linkeddocumentid.drop()
