from sqlalchemy import *
from migrate import *
import migrate.changeset

def getCardItem(meta):
    return Table('carditem', meta, autoload=True)

def getCoupon(meta):
    coupon=Table('couponitem', meta,
        Column('couponid', Integer, nullable = False, primary_key = True),
        Column('carditemid', Integer, ForeignKey(getCardItem(meta).c.carditemid, name='carditemfk', ondelete = 'CASCADE'), nullable=False),
        Column('number', String(100), nullable = True),
        Column('awardvalue', Numeric(precision=13,scale=3), nullable = True),
        Column('offername', String(80), nullable = True),
        Column('couponcondition', Text, nullable = True),
        Column('dateused', DateTime, nullable = True),
        Column('dateexpiration', DateTime, nullable = True),
        mysql_engine='InnoDB',
    )
    return coupon

def upgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)
    coupon = getCoupon(meta)
    if not coupon.exists(meta.bind):
        coupon.create()

def downgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)
    coupon = getCoupon(meta)
    if coupon.exists(meta.bind):
        coupon.drop()
