# -*- coding: utf-8 -*-
from sqlalchemy import *
from migrate import *
import migrate.changeset

def getDocType(meta):    
    return Table('documenttype', meta, autoload=True)

def getGoodsItemType(meta):    
    return Table('goodsitemtype', meta, autoload=True)

def getMoneyItemType(meta):    
    return Table('moneyitemtype', meta, autoload=True)

def insertIfNotExist(table, params):
    if not select([table.c.name]).where(and_(table.c.doctype == params['doctype'], table.c.name == params['name'])).execute().first():
        table.insert().values(params).execute()

def upgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)
    
    insertIfNotExist(getDocType(meta), dict(doctype =  7, moneyfactor =  -1, name = 'Аннулирование продажи'))
    insertIfNotExist(getDocType(meta), dict(doctype =  8, moneyfactor =  1, name = 'Аннулирование возврата'))
    
    insertIfNotExist(getGoodsItemType(meta), dict(doctype =  7, factor =  1, name = 'Аннулирование продажи', reverseoperation = 0))
    insertIfNotExist(getGoodsItemType(meta), dict(doctype =  8, factor =  -1, name = 'Аннулирование возврата', reverseoperation = 0))
    
    insertIfNotExist(getMoneyItemType(meta), dict(doctype =  7, factor =  -1, name = 'Выдано по аннулированию продажи', reverseoperation = 0))
    insertIfNotExist(getMoneyItemType(meta), dict(doctype =  7, factor =  1, name = 'Сдача по аннулированию продажи', reverseoperation = 1))
    insertIfNotExist(getMoneyItemType(meta), dict(doctype =  8, factor =  1, name = 'Принято по аннулированию возврата', reverseoperation = 0))
    insertIfNotExist(getMoneyItemType(meta), dict(doctype =  8, factor =  -1, name = 'Сдача по аннулированию возврата', reverseoperation = 1))

def downgrade(migrate_engine):
    pass
